Subject: acka-research Digest V4 #111
From: [email-masked]
To: acka-research digest users <[email-masked]>
Date: Mon, 28 Jun 1999 00:00:05 -400 (EDT)

acka-research Digest	Sunday, June 27 1999	Volume: 04  Issue: 111

----------------------------------------------------------------------

From: "Gabe (Ai! Pedrito!) Drummond-Cole" <[email-masked]>
Subject: Re: Acka: Dictate
Date: Sun, 27 Jun 1999 03:21:34 -0400 (EDT)

At 09:06 PM 6/25/99 -0400, you wrote:
>On Fri, 25 Jun 1999, K 2 wrote:
>> I one of the emperorship threads both Ai! Pedrito! and Studge converted
all of
>> eir A$ into Mannna - not really a loss of resources...
>
>In other words, they could in fact convert them back (albeit at a loss).
>
>--Dragon Mage
>

Um... hardly.  YOU got rid of all of our mannna with your 'fix' dictate.
-- Emperor Ai! Pedrito!
DeeJay * Wrangler * Emperor

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: CFJ 722 (Studge) (FALSE)
Date: Sun, 27 Jun 1999 03:31:41 -0400 (EDT)

I'm fairly certain the president is the acting CotC

Rule 6-4:
"
(iv) The President is the Supervisory Office for all Functional Offices,
unless otherwise specified for that specific Office.
"

Rule 6-1 says some things about cabinets and stuff - but since the
president is at the head of the list I don't think it changes anything.

Confusion may have occurred, because the CotC is in fact the substitute
for the speaker, but the reverse is not true...

Laa Laa as president is acting CotC

K 2

> Could an entity with a better grasp of the rules than the speaker and
> president please tell us who is acting CotC at the moment?
>
> Laa Laa, confuzzled.

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Dictate
Date: Sun, 27 Jun 1999 04:58:31 -0400 (EDT)

On Sun, 27 Jun 1999, Gabe (Ai! Pedrito!) Drummond-Cole wrote:
> Um... hardly.  YOU got rid of all of our mannna with your 'fix' dictate.

Hrmmm.. Well, let's see.  I left myself with A$1500 in the dictate that
fixed the Icy Players, and I'm fairly sure that that has been concurred to
by both Studge and Emperor Ai! Pedrito!.

Therefore, in all threads where the Imperium exists or existed, I perform
the following actions as delimited by SLIP_HIM_A_FRANKLIN
SLIP_HIM_A_FRANKLIN
I give A$500 to Studge.
I give A$200 to Emperor Ai! Pedrito!
SLIP_HIM_A_FRANKLIN

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: K 2 <[email-masked]>
Subject: Acka: Newspapers
Date: Sun, 27 Jun 1999 15:38:18 -0400 (EDT)

Rule 7-7 (The Press) states that:
"
A newspaper must publish at least one article during each calendar
month, or it will cease to exist. When this happens, the newspaper is
said to have gone belly-up.
"

I was under the impression that this had been removed, but after quick
search of my mail logs all I came up with was P3813 which was rejected -
if that sentence if still in the rules then all newspapers have gone
belly-up; if it isn't could some one please direct me to the proposal
which did the diry deed (I was fairly sure a proposal of this nature had
passed).

K 2

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Sun, 27 Jun 1999 15:38:21 -0400 (EDT)

JT wrote:

> On Fri, 25 Jun 1999, K 2 wrote:
> > Rule 10-1:
> >
> > 1) A Rule that defines an entity or class of entity may specify that
> > the entity is a Location.
>
> I think this first sentance is key here.   Entityhood for Ganymede and
> Titan were lost when they were repealed.   This rule above would seem to
> strip their location hood as well.

No rule says that a Location _must_ be an entity - the quoted fragment says
that an entity _may_ be a location. As for entity hood, if Ganymede remained a
Location the fragment "Instances of Locations are entities, and are unique,
unless otherwise specified." causes it to retain entityhood as well.

> here a rule is explicitly saying that something
> must be an entity to be a location and another rule says that an entity is
> only defined by the rules.

it uses the word "may"

> I believe the 'must be in exactly one Location' forced the removal of the
> player from something which was no longer a location.

If Wild Card's moon is no longer a location then e was at home and is now in
the university.

K 2

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Dictate
Date: Sun, 27 Jun 1999 15:43:50 -0400 (EDT)

JT wrote:

> On Sun, 27 Jun 1999, Gabe (Ai! Pedrito!) Drummond-Cole wrote:
> > Um... hardly.  YOU got rid of all of our mannna with your 'fix' dictate.
>
> Hrmmm.. Well, let's see.  I left myself with A$1500 in the dictate that
> fixed the Icy Players, and I'm fairly sure that that has been concurred to
> by both Studge and Emperor Ai! Pedrito!.
>
> Therefore, in all threads where the Imperium exists or existed, I perform
> the following actions as delimited by SLIP_HIM_A_FRANKLIN
> SLIP_HIM_A_FRANKLIN
> I give A$500 to Studge.
> I give A$200 to Emperor Ai! Pedrito!
> SLIP_HIM_A_FRANKLIN

I smack Dragon Mage for performing a thread dependent action - even on
research.

K 2

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Various harfing announcements
Date: Sun, 27 Jun 1999 15:59:50 -0400 (EDT)

On Sun, 27 Jun 1999, K 2 wrote:
> > > 1) A Rule that defines an entity or class of entity may specify that
> > > the entity is a Location.
> >
> > I think this first sentance is key here.   Entityhood for Ganymede and
> > Titan were lost when they were repealed.   This rule above would seem to
> > strip their location hood as well.
> 
> No rule says that a Location _must_ be an entity - the quoted fragment
> says that an entity _may_ be a location. As for entity hood, if
> Ganymede remained a Location the fragment "Instances of Locations are
> entities, and are unique, unless otherwise specified." causes it to
> retain entityhood as well.

Hmmm.. All that does it make locations a subset of entities.   However, I
also agree that it does not remove the locationhood of something that once
was a location-entity but now is no longer an entity.  And I believe you
are also correct that the next bit of the rule would regain it the status
of entity since it was still a location.

Neat.

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Proposal 4230
Date: Sun, 27 Jun 1999 16:38:54 -0400 (EDT)

On Sun, 27 Jun 1999 [email-masked] wrote:
> 1. Amend Rule 1-1 (Resolving Conflicts) by deleting the final paragraph.

I consider this a seriously non-trivial change and will most likely vote
against this as it removes any way of determining precedence between rules
with differing base number or subnumbers of a rule.

> 6. Amend Rule 1-4 (When Score Changes Take Effect) by:
> a) deleting (in section 1.d) the phrase "This section (1), defers
> precedence to R2-2."
> b) deleting (in section 4) the phrase "it is the duty of the Scorekeeper
> to announce such score changes."

I also object minorly to both of these changes.  I want to be notified
when score changes occur in this way.  And I'm against mucking with
precedence unless you can show my why that precedence deference is
unneccesary.

> 11. Amend Rule 2-1-1 (Fair Voting Practices) by:
> a) deleting sub-section B from section I.
> b) changing section III to read in full:
> "
> Entities which generate effects based on the way players vote on a
> proposal, do so prior to the application of that proposal.
> "

I think this second change is a bad thing.  It enforced that an effect
of a new rule took effect on proposals after the one that created it.
I think this is actually a fairly important safeguard.

> 15. Amend Rule 2-2-4 (Parades) by:
> a) deleting the phrase "The Guest of Honour will also recieve a puzzle
> piece of eir choice as long as that piece is not part of a Winnable
> Bag."

The guest of honour should get something for being forced to write the
parade description.   Replace puzzle piece with something instead of just
deleting it.

> 16. Amend Rule 2-2-6 (Let there be Harf!) by replacing the paragraph
> containing "Funky and Stylish" with the following HLOEL delimited text.

There are two paragraphs containing that test, the first one is who is
allowed to designate the player as such.. I don't think you want to
replace that one :)  (this is (imho) a fatal flaw which should cause this
prop to be retracted.)

> 17. Replace the list of punishments (a-i) in Rule 3-6 (Criminal Justice)
> with:
> "
> a) a PUBLIC APOLOGY of 1 or more lines by Player X.
> b) the TRANSFERENCE of 0 or more entities or characteristics associated
> with Player X to either the Treasury of the initiator of the CFCJ.
> c) a SENTENCE in the Gaol of 1 or more days for Player X.
> d) the REMOVAL of Player X from one or more Institutions to which e
> currently belongs.
> e) The IMPEACHMENT of Player X from a single specific office which e
> currently holds.
> f) the EXPULSION of Player X from the game.
> "

Any reason why you don't allow score to be affected by punishments any
longer?  I think that's a bad idea since points aren't entities :)

> 19. Amend Rule 4-1-1 (Mentors) by deleting the phrase: "This
> notification may be done privately." in the second paragraph.

Why make this required to be public?

> 24. Amend Rule 6 (Offices, Commonalities) by:
> a) deleting the phrase "This sub-section takes precedence over section
> (iv) and R6-4." from section viii.a
> b) deleting "Evil Math Troll," and "General Contractor," from section
> III.

The text here in part b is applying to rule 6-1, not rule 6.  Yet another
fatal flaw.

> 27. Amend Rule 6-5-1 (President) by deleting its final sentence.

I think this precedence is required, otherwise, rule 6 would conflict with
that, and would not allow the Acting President to decide among volunteers
for an open functional office, something I think is very much needed.

> 31. Amend Rule 7-16 (Ackanomic Sound System) by:
> a) replacing the following phrase from section II:
> "
> This action fails if the entity does not own sufficient A$, or has no
> Tokens.
> "
> with:
> "
> This action fails if the song has no cost.
> "
> [rule 7-1 takes care of the situation where a player does not own enough
> A$ or tokens]
> 
> b) replacing sub-section e of section IV with:
> "
> e) Cost: The cost of the song. If the Cost is not specified, then the
> song has no cost.
> "

I dislike this fix personally.  I would rather see ASS tokens allowed to
play any song, and fixing the broken logic which also required A$ to play
a song with a cost.

> 37. Amend Rule 10-3 (Buildings) by:
> a) in section I, deleting sub-sections iv and v.
> b) in section II, replacing "an Attached building" in section iii with
> "a building".
> c) in section III, delete sub-section iii

So, what happens now to a building on land owned by multiple people?
Maybe it should be destroyed or something.

> 38. Amend Rule 10-6 (We don't need Gravity) by:
> a) deleting the phrase ", in the case of a building it shall become
> Tethered"
> b) deleting the final paragraph.

Why not just delete this rule entirely?

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: "Gavin Logan" <[email-masked]>
Subject: Re: acka: Summary
Date: Sun, 27 Jun 1999 16:57:20 -0400 (EDT)

>BLMP wrote:
>
>>area of the rule
>
>A plural was, of course, intended here.
>
>BLMPs.

plural do not concern me, admiral.

Darth Felix

p.s. I would be quite willing to work on summarising any part of the rule
set. I think a good idea to come up with would be to decide first of all
which parts to keep. And lo, I 've just come up with it. Perhaps, proposals,
voting, cfjs, donuts, cycles and winning thereof and ... something else as
well.

p.p.s. you didn't see any donuts fnord. move along.

------------------------------

From: "Gavin Logan" <[email-masked]>
Subject: Re: Acka: CFJ 722 (Studge) (FALSE)
Date: Sun, 27 Jun 1999 16:57:22 -0400 (EDT)

>Rule 6-4:
>"
>(iv) The President is the Supervisory Office for all Functional Offices,
>unless otherwise specified for that specific Office.
>"
>

Supervisory officers merely assign acting officers they do not take up that
position. But this is mindless bickering because Laa Laa is acting CotC
anyway. I don't even want the job.

King Felix
(Acting Cat)

------------------------------

From: K 2 <[email-masked]>
Subject: Acka: Scoring Error
Date: Sun, 27 Jun 1999 18:04:07 -0400 (EDT)

I have just noticed a significant error in the part of my scoring script
which deals with the allocation of points to the author of a proposal,
based on the proposal's subcommittee's generosity. It'll mean that some
players who have submitted proposals since spheres were introduced will
have a different score to what I have been reporting em as having....

K 2
MTM: lists do not compare well with integers

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Proposal 4230
Date: Sun, 27 Jun 1999 18:21:23 -0400 (EDT)

JT wrote:

> On Sun, 27 Jun 1999 [email-masked] wrote:
> > 1. Amend Rule 1-1 (Resolving Conflicts) by deleting the final paragraph.
>
> I consider this a seriously non-trivial change and will most likely vote
> against this as it removes any way of determining precedence between rules
> with differing base number or subnumbers of a rule.

The final paragraph of section I of Rule 2-3 deals with this in a simpler
fashion - this paragraph is redundant.

> > 6. Amend Rule 1-4 (When Score Changes Take Effect) by:
> > a) deleting (in section 1.d) the phrase "This section (1), defers
> > precedence to R2-2."
> > b) deleting (in section 4) the phrase "it is the duty of the Scorekeeper
> > to announce such score changes."
>
> I also object minorly to both of these changes.  I want to be notified
> when score changes occur in this way.  And I'm against mucking with
> precedence unless you can show my why that precedence deference is
> unneccesary.

Check out the final sentence in that rule it says:"This rule has precedence
over all other rules dealing with scoring, except that it defers precedence to
R2-2, and except where specific
clauses above defer precedence."

> > 11. Amend Rule 2-1-1 (Fair Voting Practices) by:
> > a) deleting sub-section B from section I.
> > b) changing section III to read in full:
> > "
> > Entities which generate effects based on the way players vote on a
> > proposal, do so prior to the application of that proposal.
> > "
>
> I think this second change is a bad thing.  It enforced that an effect
> of a new rule took effect on proposals after the one that created it.
> I think this is actually a fairly important safeguard.

I don't think this changes that fact in any way - the proposal still won't have
had an effect when the scoring on it is being done - thus entities created by
it wo't have an effect yet.

> > 15. Amend Rule 2-2-4 (Parades) by:
> > a) deleting the phrase "The Guest of Honour will also recieve a puzzle
> > piece of eir choice as long as that piece is not part of a Winnable
> > Bag."
>
> The guest of honour should get something for being forced to write the
> parade description.   Replace puzzle piece with something instead of just
> deleting it.

With what?

> > 16. Amend Rule 2-2-6 (Let there be Harf!) by replacing the paragraph
> > containing "Funky and Stylish" with the following HLOEL delimited text.
>
> There are two paragraphs containing that test, the first one is who is
> allowed to designate the player as such.. I don't think you want to
> replace that one :)  (this is (imho) a fatal flaw which should cause this
> prop to be retracted.)

bugger.

> > 17. Replace the list of punishments (a-i) in Rule 3-6 (Criminal Justice)
> > with:
> > "
> > a) a PUBLIC APOLOGY of 1 or more lines by Player X.
> > b) the TRANSFERENCE of 0 or more entities or characteristics associated
> > with Player X to either the Treasury of the initiator of the CFCJ.
> > c) a SENTENCE in the Gaol of 1 or more days for Player X.
> > d) the REMOVAL of Player X from one or more Institutions to which e
> > currently belongs.
> > e) The IMPEACHMENT of Player X from a single specific office which e
> > currently holds.
> > f) the EXPULSION of Player X from the game.
> > "
>
> Any reason why you don't allow score to be affected by punishments any
> longer?  I think that's a bad idea since points aren't entities :)

Rule 7-4 ?????Points are Operable entities.

> > 19. Amend Rule 4-1-1 (Mentors) by deleting the phrase: "This
> > notification may be done privately." in the second paragraph.
>
> Why make this required to be public?

The sentence just before it states:

Any Active player may place emself in the Mentor pool or remove emself
therefrom by notifying the Registrar.

Looks like it permits private notification to me.

> > 24. Amend Rule 6 (Offices, Commonalities) by:
> > a) deleting the phrase "This sub-section takes precedence over section
> > (iv) and R6-4." from section viii.a
> > b) deleting "Evil Math Troll," and "General Contractor," from section
> > III.
>
> The text here in part b is applying to rule 6-1, not rule 6.  Yet another
> fatal flaw.

bugger.

> > 27. Amend Rule 6-5-1 (President) by deleting its final sentence.
>
> I think this precedence is required, otherwise, rule 6 would conflict with
> that, and would not allow the Acting President to decide among volunteers
> for an open functional office, something I think is very much needed.

Not.

Rule 6-1:
...E receives none of its Privileges, except for the following:
...
iii. Privileges explicitly stated to be available to an Acting Officer.

ie rule 6-1 permits rule 6-5-1 to do what it does without taking precedence
(the rule 6 precedence thing is currently wrong)

> I dislike this fix personally.  I would rather see ASS tokens allowed to
> play any song, and fixing the broken logic which also required A$ to play
> a song with a cost.

I fixed the broken logic - I don't think costless songs should be able to be
played

> > 37. Amend Rule 10-3 (Buildings) by:
> > a) in section I, deleting sub-sections iv and v.
> > b) in section II, replacing "an Attached building" in section iii with
> > "a building".
> > c) in section III, delete sub-section iii
>
> So, what happens now to a building on land owned by multiple people?
> Maybe it should be destroyed or something.

Prior sections make it impossible - that section was kinda added protection
which prolly won't ever be used and if the situation does come about its not
bad or anything...

> > 38. Amend Rule 10-6 (We don't need Gravity) by:
> > a) deleting the phrase ", in the case of a building it shall become
> > Tethered"
> > b) deleting the final paragraph.
>
> Why not just delete this rule entirely?

But we don't need gravity :-)

------------------------------

From: K 2 <[email-masked]>
Subject: Re: Acka: Proposal 4232
Date: Sun, 27 Jun 1999 18:34:32 -0400 (EDT)

[email-masked] wrote:

> Proposal 4232
> Take a Walk on the Wild Side
> K 2
> Due: Sun Jul  4 18:33:02 1999
> Sphere: All Canadians're Kind & Amiable

D'oh... I'm always forgetting that #sphere thingy.

K 2

------------------------------

From: JT <[email-masked]>
Subject: Re: Acka: Proposal 4230
Date: Sun, 27 Jun 1999 18:45:04 -0400 (EDT)

On Sun, 27 Jun 1999, K 2 wrote:
> > On Sun, 27 Jun 1999 [email-masked] wrote:
> > > 1. Amend Rule 1-1 (Resolving Conflicts) by deleting the final paragraph.
> >
> > I consider this a seriously non-trivial change and will most likely vote
> > against this as it removes any way of determining precedence between rules
> > with differing base number or subnumbers of a rule.
> 
> The final paragraph of section I of Rule 2-3 deals with this in a simpler
> fashion - this paragraph is redundant.

Perhaps.  I'm not 100% convinced.

> > > 11. Amend Rule 2-1-1 (Fair Voting Practices) by:
> > > a) deleting sub-section B from section I.
> > > b) changing section III to read in full:
> > > "
> > > Entities which generate effects based on the way players vote on a
> > > proposal, do so prior to the application of that proposal.
> > > "
> >
> > I think this second change is a bad thing.  It enforced that an effect
> > of a new rule took effect on proposals after the one that created it.
> > I think this is actually a fairly important safeguard.
> 
> I don't think this changes that fact in any way - the proposal still
> won't have had an effect when the scoring on it is being done - thus
> entities created by it wo't have an effect yet.

I think you are wrong in that respect.  I believe that the proposal
becomes a rule immediately upon passing, and thus it's quite possible that
this would in fact occur before the score change would happen, or at least
that the ordering of these two things is undefined.  providing an explicit
ordering is a good thing.

> > > 15. Amend Rule 2-2-4 (Parades) by:
> > > a) deleting the phrase "The Guest of Honour will also recieve a puzzle
> > > piece of eir choice as long as that piece is not part of a Winnable
> > > Bag."
> >
> > The guest of honour should get something for being forced to write the
> > parade description.   Replace puzzle piece with something instead of just
> > deleting it.
> 
> With what?

Maybe some A$? maybe an Otzma Card?  There are various small things that
could be given as a reward.

> > Any reason why you don't allow score to be affected by punishments any
> > longer?  I think that's a bad idea since points aren't entities :)
> 
> Rule 7-4 ?????Points are Operable entities.

My fault.. been a while since I read it, and I missed that, and hell,
that's even a rule I wrote.  yeesh.

> > > 19. Amend Rule 4-1-1 (Mentors) by deleting the phrase: "This
> > > notification may be done privately." in the second paragraph.
> >
> > Why make this required to be public?
> 
> The sentence just before it states:
> 
> Any Active player may place emself in the Mentor pool or remove emself
> therefrom by notifying the Registrar.
> 
> Looks like it permits private notification to me.

I seem to recall all notifications being required to be public unless it
specifically was allowed to be private.   However, I couldn't find this
when I went looking.   Regardless, I don't think this changes is needed,
and could possibly have unintended effects assuming my original
supposition about notifications being correct.

> > > 27. Amend Rule 6-5-1 (President) by deleting its final sentence.
> >
> > I think this precedence is required, otherwise, rule 6 would conflict with
> > that, and would not allow the Acting President to decide among volunteers
> > for an open functional office, something I think is very much needed.
> 
> Not.
> 
> Rule 6-1:
> ..E receives none of its Privileges, except for the following:
> ..
> iii. Privileges explicitly stated to be available to an Acting Officer.
> 
> ie rule 6-1 permits rule 6-5-1 to do what it does without taking precedence
> (the rule 6 precedence thing is currently wrong)

Okay.. Fair enough.

> > I dislike this fix personally.  I would rather see ASS tokens allowed to
> > play any song, and fixing the broken logic which also required A$ to play
> > a song with a cost.
> 
> I fixed the broken logic - I don't think costless songs should be able to be
> played

I disagree with you.  I'd ask you to place this particular fix in a
seperate prop, otherwise I'll be forced to vote against the entire prop
(most of which I agree with) in order to vote against this one unagreeable
fix.

> > > 37. Amend Rule 10-3 (Buildings) by:
> > > a) in section I, deleting sub-sections iv and v.
> > > b) in section II, replacing "an Attached building" in section iii with
> > > "a building".
> > > c) in section III, delete sub-section iii
> >
> > So, what happens now to a building on land owned by multiple people?
> > Maybe it should be destroyed or something.
> 
> Prior sections make it impossible - that section was kinda added protection
> which prolly won't ever be used and if the situation does come about its not
> bad or anything...

Umm.. Let's see, I own a bunch of kaa's, build a building and now trade
some of those kaa's to another player or sell them back to the back.
I don't think it's a good idea.

> But we don't need gravity :-)

We also don't need the rest of the gunk in that rule.

--Dragon Mage

-- 
[-------------------------------------------------------------------------]
[ Practice random kindness and senseless acts of beauty.                  ]
[ It's hard to seize the day when you must first grapple with the morning ]
[-------------------------------------------------------------------------]

------------------------------

From: "Gavin M. Doig" <[email-masked]>
Subject: Re: acka: Summary
Date: Sun, 27 Jun 1999 19:34:44 -0400 (EDT)

>p.s. I would be quite willing to work on summarising any part of the rule
>set. I think a good idea to come up with would be to decide first of all
>which parts to keep. And lo, I 've just come up with it. Perhaps,
proposals,
>voting, cfjs, donuts, cycles and winning thereof and ... something else as
>well.
>
"The Summary is a document which contains a summarized and simplified
version of each rule". So I suggest we keep all of the ruleset.

>p.p.s. you didn't see any donuts fnord. move along.
>
Gobble! Gobble! Gobble! Gobble! Gobble!

BLMP.

------------------------------

End of acka-research Digest V4 #111
***********************************